import gtk

def create_error_message(message):
    """Creates a message-dialog for errors, which contains a warning-sign and a ok-button

    **Parameters**
        :message: str: message, that will be displayed
    """
    md = gtk.MessageDialog( type=gtk.MESSAGE_WARNING,
                            buttons=gtk.BUTTONS_OK,
                            message_format=str(message)
                            )
    md.run()
    md.destroy()

def create_confirmation_message(message):
    """Creates a message-dialog with confirmation buttons (yes/no), that contains a warning-sign

    **Parameters**
        :message: str: message, that will be displayed
    """
    md = gtk.MessageDialog(type=gtk.MESSAGE_WARNING,
                           buttons=gtk.BUTTONS_YES_NO,
                           message_format=message
                           )
    response = md.run()
    md.destroy()
    if response == gtk.RESPONSE_YES:
        return True
    return False
